CGAL 6.2 - dD Geometry Kernel

Loading...
Searching...
No Matches
List of all members | Classes | Public Types | Public Member Functions
CGAL::Epick_d< DimensionTag > Struct Template Reference
Reference Manual » Kernels

`#include <CGAL/Epick_d.h>`

## Definition

template<typename DimensionTag>
struct CGAL::Epick_d< DimensionTag >

A model for `Kernel_d` that uses Cartesian coordinates to represent the geometric objects.

This kernel is default constructible and copyable. It does not carry any state so it is possible to use objects created by one instance with functors created by another one.

This kernel supports construction of points from `double` Cartesian coordinates. It provides exact geometric predicates, but the geometric constructions are not guaranteed to be exact. The geometric predicates are made exact without sacrificing speed thanks to the use of filters.

Template Parameters

  DimensionTag | is a tag representing the dimension of the ambient Euclidean space. It may be either `Dimension_tag<d>` where `d` is an integer or `Dynamic_dimension_tag`. In the latter case, the dimension of the space is specified for each point when it is constructed, so it does not need to be known at compile-time.

Attention
  Only the interfaces specific to this class are listed below. Refer to the concepts for the rest.
  Known bugs: the functor `Kernel_d::Intersect_d` is not yet implemented. `Kernel_d::Contained_in_affine_hull_d` assumes that the iterators refer to an affinely independent family. `Kernel_d::Orientation_d` only works for points, not vectors.
  This kernel requires the Eigen library.

Is model of
  `Kernel_d`
  `DelaunayTriangulationTraits`
  `RegularTriangulationTraits`
  `SearchTraits`
  `RangeSearchTraits`

See also
  `CGAL::Cartesian_d<FieldNumberType>`
  `CGAL::Homogeneous_d<RingNumberType>`
  `CGAL::Epeck_d<DimensionTag>`

## Classes
class | Cartesian_const_iterator
| A bidirectional iterator over the Cartesian coordinates of a point. More...
class | Compute_power_product_d
class | Compute_squared_radius_d
class | Compute_squared_radius_smallest_orthogonal_sphere_d
class | Construct_bbox_d
class | Construct_cartesian_const_iterator_d
class | Construct_circumcenter_d
class | Construct_power_sphere_d
class | Point_d
| represents a point in the Euclidean space More...
class | Power_side_of_bounded_power_sphere_d
class | Side_of_bounded_sphere_d
class | Vector_d
| represents a vector in the Euclidean space More...
class | Weighted_point_d
| represents a weighted point in the Euclidean space More...

## Public Types
typedef DimensionTag | Dimension
| the dimension

## Public Member Functions
Compute_power_product_d | compute_power_product_d_object ()
Compute_squared_radius_d | compute_squared_radius_d_object ()
Compute_squared_radius_smallest_orthogonal_sphere_d | compute_squared_radius_smallest_orthogonal_sphere_d_object ()
Construct_bbox_d | construct_bbox_d_object ()
Construct_cartesian_const_iterator_d | construct_cartesian_const_iterator_d_object ()
Construct_circumcenter_d | construct_circumcenter_d_object ()
Construct_power_sphere_d | construct_power_sphere_d_object ()
Power_side_of_bounded_power_sphere_d | power_side_of_bounded_power_sphere_d_object ()